/******************************************************************************
 * File: SpacesEditor.Build.cs
 * Copyright (c) 2021 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

using UnrealBuildTool;

public class SpacesEditor : ModuleRules
{
	public SpacesEditor(ReadOnlyTargetRules Target) : base(Target)
	{
		const bool bUseStrictIncludes = true;
		if (bUseStrictIncludes)
		{
			// Setup to mimic the StrictIncludes mode in BuildPlugin automation
			PCHUsage = PCHUsageMode.NoPCHs;
			bUseUnity = false;
		}
		else
		{
			PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;
		}
		// bUseRTTI = true;
		// bEnableExceptions = true;
		CppStandard = CppStandardVersion.Cpp17;
		
		PublicIncludePaths.AddRange(
			new string[] {
				
			}
			);
				
		
		PrivateIncludePaths.AddRange(
			new string[] {
			}
			);
			
		
		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
				"Slate",
				"SlateCore",
			}
			);
			
		
		PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Engine",
				"SpacesRuntime",
				"UnrealEd",
				"AndroidRuntimeSettings",
				"EngineSettings",
				"EditorStyle",
				"SettingsEditor"
			}
			);
	}
}
