/******************************************************************************
 * File: SpacesCameraCapture.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#include "CoreMinimal.h"
#include "SpacesCapture.h"

class FSpacesCameraCapture final : public FSpacesCapture
{
	
public:
	
	FSpacesCameraCapture();
	virtual ~FSpacesCameraCapture() override;

	virtual void Initialize() override;
	virtual EARCaptureType GetType() override;
	
	virtual bool OnGetCameraIntrinsics(struct FARCameraIntrinsics& OutCameraIntrinsics) const override;
	virtual UARTexture* OnGetARTexture(EARTextureType TextureType) const override;
	
	
};
