﻿/******************************************************************************
 * File: SpacesInputHelper.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#ifndef INPUT_DEVICE
#error INPUT_DEVICE must be defined before including SpacesInputHelper.h
#define INPUT_DEVICE
#endif

#define INPUT_CATEGORY "SnapdragonSpaces" INPUT_DEVICE

#define CLICK_FLAGS FKeyDetails::GamepadKey | FKeyDetails::NotBlueprintBindableKey
#define VALUE_FLAGS FKeyDetails::GamepadKey | FKeyDetails::NotBlueprintBindableKey | FKeyDetails::Axis1D

#define ADD_KEY(Hand, Key, Action, Flags, Description) EKeys::AddKey(FKeyDetails(FKey(INPUT_CATEGORY "_"#Hand"_"#Key"_"#Action), LOCTEXT(INPUT_CATEGORY "_"#Hand"_"#Key"_"#Action, INPUT_DEVICE " " Description), Flags, "SnapdragonSpaces"));

