﻿/******************************************************************************
 * File: UEServicesHelperWrapper.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#include "CoreMinimal.h"

#if PLATFORM_ANDROID
#if USE_ANDROID_JNI
#include "JavaClassObjectExtended.h"

// Wrapper for com/qualcomm/snapdragon/spaces/unrealserviceshelper/RuntimeChecker.java.
class FRuntimeCheckerWrapper : public FJavaClassObjectExtended
{

private:

    static FName GetClassName();
    
    FJavaClassMethod CheckInstalledMethod;
	FJavaClassMethod CheckCameraPermissionsMethod;
    
public:

    FRuntimeCheckerWrapper();

    bool CheckInstalled();
	bool CheckCameraPermissions();
    
};

#endif //USE_ANDROID_JNI
#endif //PLATFORM_ANDROID