/******************************************************************************
 * File: UEServicesHelperWrapper.h
 * Copyright (c) 2021 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#include "CoreMinimal.h"
#if PLATFORM_ANDROID
#if USE_ANDROID_JNI
#include "JavaClassObjectExtended.h"

// Wrapper for com/qualcomm/snapdragon/spaces/unrealserviceshelper/SpacesSettings.java.
class FSpacesSettingsWrapper : public FJavaClassObjectExtended
{

private:

	static FName GetClassName();
    
	FJavaClassMethod SetSpacesControllerMethod;
	FJavaClassMethod GetSpacesControllerMethod;
    
public:

	FSpacesSettingsWrapper();

	int GetSpacesController();
	void SetSpacesController(int id_controller);
    
};

#endif //USE_ANDROID_JNI
#endif //PLATFORM_ANDROID