/******************************************************************************
 * File: SpacesGameUserSettings.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#include "SpacesGameUserSettings.h"

bool USpacesGameUserSettings::IsVersionValid()
{
	return Version > 0;
}

void USpacesGameUserSettings::UpdateVersion()
{
	Version = SPACES_GAMEUSERSETTINGS_VERSION;
}


int USpacesGameUserSettings::GetSpacesController() const
{
	return SpacesIDController;
}

void USpacesGameUserSettings::SetSpacesController(int id_controller)
{
	SpacesIDController = id_controller;
}
