﻿/******************************************************************************
 * File: SpacesSceneUnderstanding.cpp
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#include "SpacesSceneUnderstanding.h"

#include "SpacesCommon.h"

#include "ImageTracking/SpacesImageTrackingExtension.h"
#include "Meshing/SpacesMeshingExtension.h"

void FSpacesSceneUnderstanding::Initialize()
{
	UE_LOG(LogSpacesRuntime, Log, TEXT("Initialize SpacesSceneUnderstanding"));
	TryAddCapture(ESpacesExtension::ImageTracking);
	TryAddCapture(ESpacesExtension::Meshing);
}

EARCaptureType FSpacesSceneUnderstanding::GetType()
{
	return EARCaptureType::SceneUnderstanding;
}
