/******************************************************************************
 * File: SpacesComponentVersion.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#include "CoreMinimal.h"
#include "SpacesComponentVersion.generated.h"

USTRUCT(BlueprintType)
struct SPACESRUNTIME_API FSpacesComponentVersion
{
	GENERATED_BODY()
	
public:
	UPROPERTY(BlueprintReadOnly, VisibleAnywhere, Category="Component")
	FString Name;
	UPROPERTY(BlueprintReadOnly, VisibleAnywhere, Category="Component")
	FString VersionId;
	UPROPERTY(BlueprintReadOnly, VisibleAnywhere, Category="Component")
	FString BuildId;
	UPROPERTY(BlueprintReadOnly, VisibleAnywhere, Category="Component")
	FString BuildDateTime;
	UPROPERTY(BlueprintReadOnly, VisibleAnywhere, Category="Component")
	FString SourceId;
};
