/******************************************************************************
 * File: SpacesSessionConfig.h
 * Copyright (c) 2022 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
 *
 * Confidential and Proprietary - Qualcomm Technologies, Inc.
 *
 */

#pragma once

#include "CoreMinimal.h"
#include "ARSessionConfig.h"

#include "SpacesSessionConfig.generated.h"

/**
 * 
 */
UCLASS()
class SPACESRUNTIME_API USpacesSessionConfig : public UARSessionConfig
{
	GENERATED_BODY()

public:
    
    USpacesSessionConfig();

    UPROPERTY(EditAnywhere, Category = "AR Settings | Plane Detection")
	bool bUseConvexHullDetection;
		
	UPROPERTY(EditAnywhere, Category="AR Settings | Meshing")
	TArray<FBoxSphereBounds> Bounds;
	
protected:
	
};
